{
  "#mode": "routed-pppoe",
  "supported_modes": [
    {
      "name": "routed-dhcp",
      "description": "DHCP",
      "supported_args": [
        {
          "name": "vlanid",
          "description": "VLAN ID",
          "required": false,
          "type": "integer"
        },
        {
          "name": "dns_servers",
          "description": "DNS Servers",
          "required": false,
          "type": "string"
        }
      ]
    },
    {
      "name": "routed-pppoe",
      "description": "PPPoE",
      "supported_args": [
        {
          "name": "username",
          "description": "PPPoE Username",
          "required": true,
          "type": "string",
          "#value": "TestUser"
        },
        {
          "name": "password",
          "description": "PPPoE Password",
          "required": true,
          "type": "string",
          "#value": "TestPassword"
        },
        {
          "name": "vlanid",
          "description": "VLAN ID",
          "required": false,
          "type": "integer"
        },
        {
          "name": "mtu",
          "description": "MTU",
          "required": false,
          "type": "integer"
        },
        {
          "name": "dns_servers",
          "description": "DNS Servers",
          "required": false,
          "type": "string"
        }
      ]
    },
    {
      "name": "routed-static",
      "description": "Static",
      "supported_args": [
        {
          "name": "ipaddr",
          "description": "IP Address",
          "required": true,
          "type": "string",
          "#value": "93.21.0.104"
        },
        {
          "name": "netmask",
          "description": "Subnet Mask",
          "required": true,
          "type": "string",
          "#value": "255.255.255.0"
        },
        {
          "name": "gateway",
          "description": "Default Gateway",
          "required": true,
          "type": "string",
          "#value": "93.21.0.1"
        },
        {
          "name": "vlanid",
          "description": "VLAN ID",
          "required": false,
          "type": "integer"
        },
        {
          "name": "dns_servers",
          "description": "DNS Servers",
          "required": false,
          "type": "string"
        }
      ]
    }
  ]
}
